[HOME] [DOWNLOAD] [DOCS] [NEWS] [SUPPORT] [TIPS] [ISSUES] [DONATE]

dist-upgrade doesnt seem to be doing anything?

I recently tried to upgrade doing the usual update then dist-upgrade
problem is when i check it hasn’t upgraded which isnt a surprise in that the update dist-upgrade takes like less than a minute, over tor, I haven’t had dist-upgrades go that fast with any distro even over clearnet.
I am not sure whats wrong as there does not seem to be an error.
for what its worth I strangely seem to be using version 8? its the ver that came with qubes but i didn’t realize it was that dates.
thoughts?

Hi McJack

I’m not sure what you are saying here.

The upgrade is going to fast? Is that the problem?

Are you using Debian or Whonix?

Does this problem happen in both whonix-ws and whonix-gw TempateVMs?

What happens when you run apt-get update?

1 Like

Hi 0brand,
Thanks for the response.
Sorry I was a bit vague.
I am using whonix, apparently v8, on qubes 3.2
Yes, This is a problem in ws and gw
When I run sudo apt-get update it seems to run normally, just to be sure though here is the output:
https://bin.disroot.org/?b0979be446a3571c#Jv14/yMTOvDZX8pJ5mm25Aazg9+U0g07tFJQLk3OPOw=

But, when I do lsb_release it tells me I am still using v8:
user@host:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Whonix
Description: Whonix GNU/Linux 8.11 (jessie)
Release: 8.11
Codename: jessie

so I am a bit confused.
Thanks in advance!

Hi McJack

When running apt-get dist-upgrade there might not always be packages that need upgrading. Everything looked OK to me.

Since Whonix is based on Debian. What you are seeing, v8 , is the version of Debian that Whonix is based on. Whonix 13 (what you are using) is based on Debian 8 jessie.

Whonix 14 is the upcoming release which is based on Debian 9 stretch. It is still in testing but will become stable shortly.

Something to consider: There are no know serious bugs and Whonix 14 is considered safer to use than Whonix 13. This is not to say that Whonix 13 is unsafe. You can still use it if you wish but it is recommend that users upgrade to Whonix 14 tester images.

Download new Whonix 14 Templates (recommended)

https://whonix.org/wiki/Upgrading_Whonix_13_to_Whonix_14#Download_New_Templates

Or upgrade in place:

https://whonix.org/wiki/Upgrading_Whonix_13_to_Whonix_14

Thanks mate! I just installed v14, liking it but am having update issues, just finished posting so hopefully can get that sorted.

[Imprint] [Privacy Policy] [Cookie Policy] [Terms of Use] [E-Sign Consent] [DMCA] [Investors] [Priority Support] [Professional Support]